﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DictionaryItemBaseUpdate
{
    public class DictionaryItemBase
    {

        #region Contsructors
        public DictionaryItemBase() { }

        #endregion

        #region Properties

        public int? ID { get; set; }
        public int? MergeId { get; set; }
        public bool UpdateAll { get; set; }
        public bool DeleteAfterMerge { get; set; }
        public bool IsDelete { get; set; }
        public List<DictionaryItemBaseValue> Values { get; set; } = new List<DictionaryItemBaseValue>();

        #endregion
    }

    public class DictionaryItemBaseValue
    {
        #region Contsructors
        public DictionaryItemBaseValue() { }

        #endregion

        #region Properties

        public string EnvironmentName { get; set; }
        //public int? ResourceId { get; set; }
        public string Name { get; set; }
        public string Name1 { get; set; }
        public string Name2 { get; set; }
        public string Name3 { get; set; }
        public string Name4 { get; set; }
        public int? Value { get; set; }
        public string Code { get; set; }
        public string DictionaryType { get; set; }
        public bool? Protected { get; set; }
        public string Color { get; set; }
        public int? Order { get; set; }
        public string BGColor { get; set; }
        public string Description { get; set; }
        public string ShortName { get; set; }
        public int? DictionaryTypeId { get; set; }
        public int? IntezmenyId { get; set; }
        public int? TanevId { get; set; }
        public bool? Torolt { get; set; }
        public int ItemValueOrder { get; set; } /*Default 0, KK 1, NSZFH 2, HOI 3, Azure 4*/

        #endregion
    }

    public class StringResource
    {
        public int ID { get; set; }
        public string LCID_1038 { get; set; }
        public string LCID_1033 { get; set; }
        public string LCID_1031 { get; set; }
        public bool VisibleOnMobile { get; set; }
        public string Key { get; set; }
        public int DictionaryItemKapcsolatokSzama { get; set; }
    }

    public class SpecOszlop
    {
        public string Tipus { get; set; }
        public string Oszlop { get; set; }
        public string DefaultErtek { get; set; }
    }
    public class SpecTabla
    {
        public string Tipus { get; set; }
        public string InsertScript { get; set; }
        public string UpdateScript { get; set; }
    }
    public class SpecKomment
    {
        public string Tipus { get; set; }
        public string Szoveg { get; set; }
    }
}
